Orxonox: orxonox::Timer< T > Class Template Reference

# orxonox::Timer< T > Class Template Reference

The Timer is a callback-object, calling a given function after a given time-interval. More...

`#include <src/orxonox/tools/Timer.h>`

Inheritance diagram for orxonox::Timer< T >:

List of all members.

## Public Member Functions

void | setTimer (float interval, bool bLoop, T *object, ExecutorMember< T > *executor, bool bKillAfterCall=false)
| Initializes the Timer with given values.
| Timer (float interval, bool bLoop, T *object, ExecutorMember< T > *exeuctor, bool bKillAfterCall=false)
| Constructor: Initializes the Timer with given values.
| Timer ()

## Detailed Description

### template<class T = BaseObject>
class orxonox::Timer< T >

The Timer is a callback-object, calling a given function after a given time-interval.

## Constructor & Destructor Documentation

template<class T = BaseObject>

orxonox::Timer< T >::Timer | ( |  | ) | `[inline]`

template<class T = BaseObject>

orxonox::Timer< T >::Timer | ( | float | interval,
|  | bool | bLoop,
|  | T * | object,
|  | ExecutorMember< T > * | exeuctor,
|  | bool | bKillAfterCall = `false` |
| ) |  |  | `[inline]`

Constructor: Initializes the Timer with given values.

Parameters:

  | interval | The timer-interval in seconds
  | bLoop | If true, the function gets called every 'interval' seconds
  | object | The object owning the timer and the function
  | exeuctor | A executor of the function to call

## Member Function Documentation

template<class T = BaseObject>

void orxonox::Timer< T >::setTimer | ( | float | interval,
|  | bool | bLoop,
|  | T * | object,
|  | ExecutorMember< T > * | executor,
|  | bool | bKillAfterCall = `false` |
| ) |  |  | `[inline]`

Initializes the Timer with given values.

Parameters:

  | interval | The timer-interval in seconds
  | bLoop | If true, the function gets called every 'interval' seconds
  | object | The object owning the timer and the function
  | exeuctor | A executor of the function to call

Referenced by orxonox::Timer< orxonox::FadeoutText >::Timer().

The documentation for this class was generated from the following file:

- src/orxonox/tools/Timer.h